NavigationFilter.FilterBypass (Java Platform SE 8 )
Keywords: javax.swing.text.NavigationFilter.FilterBypass class
Date: 2026-04-22

javax.swing.text

## Class NavigationFilter.FilterBypass

- java.lang.Object
- - javax.swing.text.NavigationFilter.FilterBypass

- Enclosing class:
    NavigationFilter

      public abstract static class NavigationFilter.FilterBypass
      extends Object

  Used as a way to circumvent calling back into the caret to position the cursor. Caret implementations that wish to support a NavigationFilter must provide an implementation that will not callback into the NavigationFilter.
  Since:
    1.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterBypass()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Caret` | `getCaret()` Returns the Caret that is changing.
    `abstract void` | `moveDot(int dot, Position.Bias bias)` Moves the caret location, bypassing the NavigationFilter.
    `abstract void` | `setDot(int dot, Position.Bias bias)` Sets the caret location, bypassing the NavigationFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterBypass

          public FilterBypass()

  - ### Method Detail

    - #### getCaret

          public abstract Caret getCaret()

      Returns the Caret that is changing.
      Returns:
        Caret that is changing

    - #### setDot

          public abstract void setDot(int dot,
                                      Position.Bias bias)

      Sets the caret location, bypassing the NavigationFilter.
      Parameters:
        `dot` - the position >= 0
        `bias` - Bias to place the dot at

    - #### moveDot

          public abstract void moveDot(int dot,
                                       Position.Bias bias)

      Moves the caret location, bypassing the NavigationFilter.
      Parameters:
        `dot` - the position >= 0
        `bias` - Bias for new location

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.